Get redaction results for a specific resume
curl --request GET \
--url https://{region}.affinda.com/v2/redacted_resumes/{identifier} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{region}.affinda.com/v2/redacted_resumes/{identifier}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{region}.affinda.com/v2/redacted_resumes/{identifier}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"redactedPdf": "https://api-data.affinda.com/media/redacted_resumes/resume_redacted.pdf"
},
"meta": {
"identifier": "<string>",
"customIdentifier": "46ab8b02-0e5b-420c-877c-8b678d46a834",
"fileName": "Document.pdf",
"ready": true,
"readyDt": "2020-12-10T01:43:32.276724Z",
"failed": false,
"expiryTime": "2023-11-07T05:31:56Z",
"language": "en",
"pdf": "https://affinda-api.s3.amazonaws.com/media/documents/Document.pdf?AWSAccessKeyId=KEY&Signature=SIG&Expires=1663302062",
"parentDocument": {
"identifier": "<string>"
},
"childDocuments": [
{
"identifier": "<string>"
}
],
"pages": [
{
"id": 2,
"pageIndex": 0,
"image": "https://affinda-api.s3.amazonaws.com/media/pages/Page.png?AWSAccessKeyId=KEY&Signature=SIG&Expires=1663302062",
"height": 700,
"width": 500,
"rotation": 90,
"imageTranslated": "https://affinda-api.s3.amazonaws.com/media/pages/PageTranslated.png?AWSAccessKeyId=KEY&Signature=SIG&Expires=1663302062"
}
],
"isVerified": false,
"reviewUrl": "https://app.affinda.com/review/XJ5kK123?signature=12345",
"ocrConfidence": 0.97,
"createdDt": "2023-11-07T05:31:56Z",
"documentType": "resume",
"regionBias": {
"country": "<string>",
"countries": [
"<string>"
],
"squareCoordinates": [
123
],
"strict": true
},
"isOcrd": true
},
"error": {
"errorCode": "document_conversion_failed",
"errorDetail": "Unable to convert word document"
}
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Resume Redactor
Get redaction results for a specific resume
deprecated
Returns all the redaction results for that resume if processing is completed.
The identifier is the unique ID returned after POST-ing the resume via the /redacted_resumes endpoint.
GET
/
v2
/
redacted_resumes
/
{identifier}
Get redaction results for a specific resume
curl --request GET \
--url https://{region}.affinda.com/v2/redacted_resumes/{identifier} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{region}.affinda.com/v2/redacted_resumes/{identifier}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{region}.affinda.com/v2/redacted_resumes/{identifier}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"redactedPdf": "https://api-data.affinda.com/media/redacted_resumes/resume_redacted.pdf"
},
"meta": {
"identifier": "<string>",
"customIdentifier": "46ab8b02-0e5b-420c-877c-8b678d46a834",
"fileName": "Document.pdf",
"ready": true,
"readyDt": "2020-12-10T01:43:32.276724Z",
"failed": false,
"expiryTime": "2023-11-07T05:31:56Z",
"language": "en",
"pdf": "https://affinda-api.s3.amazonaws.com/media/documents/Document.pdf?AWSAccessKeyId=KEY&Signature=SIG&Expires=1663302062",
"parentDocument": {
"identifier": "<string>"
},
"childDocuments": [
{
"identifier": "<string>"
}
],
"pages": [
{
"id": 2,
"pageIndex": 0,
"image": "https://affinda-api.s3.amazonaws.com/media/pages/Page.png?AWSAccessKeyId=KEY&Signature=SIG&Expires=1663302062",
"height": 700,
"width": 500,
"rotation": 90,
"imageTranslated": "https://affinda-api.s3.amazonaws.com/media/pages/PageTranslated.png?AWSAccessKeyId=KEY&Signature=SIG&Expires=1663302062"
}
],
"isVerified": false,
"reviewUrl": "https://app.affinda.com/review/XJ5kK123?signature=12345",
"ocrConfidence": 0.97,
"createdDt": "2023-11-07T05:31:56Z",
"documentType": "resume",
"regionBias": {
"country": "<string>",
"countries": [
"<string>"
],
"squareCoordinates": [
123
],
"strict": true
},
"isOcrd": true
},
"error": {
"errorCode": "document_conversion_failed",
"errorDetail": "Unable to convert word document"
}
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Authorizations
Basic authentication using an API key, e.g. {Authorization: Bearer 75z0bb4fbdf97b7e4111ff6c0015471094155f91}.
You can find your API key within the Settings page of the Affinda web app. You can obtain an API key by signing up for a free trial.
Path Parameters
Document identifier
Example:
"ELglqBbT"
Was this page helpful?
⌘I